| Home | Libraries | People | FAQ | More

###### array::insert (1 of 5 overloads)

Insert elements before the specified location.

###### Synopsis

    iterator
    insert(
        const_iterator pos,
        value const& v);

###### Description

This inserts a copy of `v` before `pos`. If `capacity() < size() + 1`, a reallocation occurs first, and all iterators and references are invalidated. Otherwise, only the iterators and references from the insertion point forward are invalidated. All past-the-end iterators are also invalidated.

###### Complexity

Constant plus linear in `std::distance(pos, end())`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`pos` | Iterator before which the content will be inserted. This may be the `end()` iterator.
`v` | The value to insert. A copy will be made using container's associated `memory_resource`.

###### Return Value

An iterator to the inserted value